function [Ssr,longPal] = detectorExtremos(S)
[~, columnas]=size(S);
i=floor(columnas/1500);%numero de veces que calculara el umbral (notramas)
m=2; %factor de índice de inicio, empieza por 2 porque necesitaremos dato(x-1)
n=1502;% factor de índice final
%esto contara las ventanas consecutivas sin info. para detectar final pronunciación.

longPal=1;
t=0;

for j=1:1:i %esto segmentara la señal en tramas
    umbral=0;
        for k=m:1:n-2 %bucle recorre muestras de n a m S calcula el umbral de la trama
            umbral=umbral+abs(S(k)*abs(S(k))-S(k-1)*abs(S(k-1)));
        end
        
            %evolucionUmbral(n)=umbral; %se almacena el valor cada 1500 posiciones
            %=DETECTOR INICIO=> si supera umbral se empieza a almacenar tramas
            
        if (umbral>5e+06) %comprobamos si se detecta inicio, si supera Umbral Inicio=1.25
            t=0;
            longPal=longPal+1500;
            
            if n>150000
                n = 150000;
                Ssr(longPal-1500:longPal-2)=S(m:n);
                break;
            end 
            Ssr(longPal-1500:longPal)=S(m:n); %almacenamos tramas si t<15
            
        end
        %=DETECTOR FIN=> se detecta final si transcurren 15 tramas sin info (t=15)
        if (umbral<5e+06) %comprobamos si incrementamos t, 
            if (t<10 && longPal~=1)
            t=t+1;
%                  if t == 10
%                      break;
%                  end
            end
            %longPal=longPal+1500;
            %palabradelimitada(longPal-1500:longPal-2)=S(m:n-2);
        %almacenamos tramas si t<15
        end
   m=m+1500;
   n=n+1500;
end
end